NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ShipDesign.EdgeCutBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.EdgeCut builder. More...

Inheritance diagram for NXOpen.Features.ShipDesign.EdgeCutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ArraySpacing { EvenDistribution, CustomDefined }
 available methods used to define the spacing between the cuts More...
 
enum  VersionID { Nx85, Nx901 }
 version identifiers for the different revisions of the edge cut feature. More...
 

Properties

unsafe int CutCount [get, set]
 Returns or sets the number of cuts More...
 
unsafe NXOpen.Expression CutOrientationAngle [get]
 Returns the cut orientation angle. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
EndPositionOnGuide [get]
 Returns the offset from the end of the guide curve (or end trim object) where cut placement will end. More...
 
unsafe NXOpen.Section GuideCurve [get]
 Returns the guide curve used to place the cuts (may be made up of edges or curves). More...
 
unsafe NXOpen.Expression GuideOffset [get]
 Returns the guide offset (how far away to place the cuts from the guide curve) More...
 
unsafe NXOpen.Direction HorizontalReference [get, set]
 Returns or sets the horizontal reference. More...
 
unsafe
NXOpen.Features.ShipDesign.ManufacturingStockBuilder 
ManufacturingInformation [get]
 Returns the manufacturing stock builder that holds the manufacturing data. More...
 
unsafe
NXOpen.SelectTaggedObjectList 
PathGeometry [get]
 Returns the path geometry. More...
 
unsafe bool PathReverseDirection [get, set]
 Returns or sets the path reverse direction flag. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
PlacementGeometry [get]
 Returns the placement geometry. More...
 
unsafe NXOpen.Vector3d ReferenceDirection [get, set]
 Returns or sets the reference direction More...
 
unsafe NXOpen.Point3d ReferencePoint [get, set]
 Returns or sets the reference point (part units) More...
 
unsafe NXOpen.SelectNXObject SelectEndLimit [get]
 Returns the select end limit. More...
 
unsafe NXOpen.SelectNXObject SelectStartLimit [get]
 Returns the select start limit. More...
 
unsafe NXOpen.SelectFaceList SelectTargetFace [get]
 Returns the select target face. More...
 
unsafe
NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder 
SketchBlock [get]
 Returns the sketch block. More...
 
unsafe NXOpen.Expression SpaceBetweenCuts [get]
 Returns the distance between each cut. More...
 
unsafe
NXOpen.Features.ShipDesign.EdgeCutBuilder.ArraySpacing 
Spacing [get, set]
 Returns or sets the spacing (even distribution or custom defined) More...
 
unsafe NXOpen.Direction SpacingReference [get, set]
 Returns or sets the spacing reference direction. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
StartPositionOnGuide [get]
 Returns the offset from the start of the guide curve (or start trim object) where cut placement will begin More...
 
unsafe bool SymmetricOffsets [get, set]
 Returns or sets the symmetric offsets toggle. More...
 
unsafe
NXOpen.Features.ShipDesign.EdgeCutBuilder.VersionID 
Version [get]
 Returns the version of the feature (used to determine which properties and methods are applicable) during edit. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.EdgeCut builder.

The Edge Cut creates a series of cuts with an offset from an edge or curve.

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateEdgeCutBuilder

Default values.

Property Value

CutCount

0

CutOrientationAngle.Value

0

GuideOffset.Value

50 (millimeters part), 2 (inches part)

SpaceBetweenCuts.Value

50 (millimeters part), 2 (inches part)

Spacing

EvenDistribution

SymmetricOffsets

0

Created in NX8.5.0

Member Enumeration Documentation

available methods used to define the spacing between the cuts

Enumerator
EvenDistribution 

Cuts will automatically be spaced evenly along the length of the guide

CustomDefined 

The user can specify a custom amount of space between the cuts

version identifiers for the different revisions of the edge cut feature.

Enumerator
Nx85 

This feature builder is used to edit an existing NX85 - NX9 edge cut feature.

Use: SelectTargetFace and GuideCurve

Nx901 

This feature builder is used to create or edit an NX901 or beyond feature.

Use: PlacementGeometry, PathGeometry, ReferencePoint, ReferenceDirection, and if needed PathReverseDirection

Property Documentation

unsafe int NXOpen.Features.ShipDesign.EdgeCutBuilder.CutCount
getset

Returns or sets the number of cuts

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.EdgeCutBuilder.CutOrientationAngle
get

Returns the cut orientation angle.

Typically the x axis of the cut's cross section sketch is parallel to the guide curve, the orientation angle rotates the sketch away from the guide curve

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.ShipDesign.EdgeCutBuilder.EndPositionOnGuide
get

Returns the offset from the end of the guide curve (or end trim object) where cut placement will end.

Note if the spacing is set to CustomDefined, you won't notice the end trim getting used, unless you try to place too many cuts between along the guide (including any trim objects and offsets added by the Start and End positions on the guide).

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.ShipDesign.EdgeCutBuilder.GuideCurve
get

Returns the guide curve used to place the cuts (may be made up of edges or curves).

NOTE this is only used on features that were created prior to NX901. If editing a feature created in NX9.0.1 or beyond, use the path geometry property instead.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.EdgeCutBuilder.GuideOffset
get

Returns the guide offset (how far away to place the cuts from the guide curve)

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.EdgeCutBuilder.HorizontalReference
getset

Returns or sets the horizontal reference.

The horizontal reference is optional. It is used to orient the cuts. If null, the guide tangent is used for the orientation reference at each cut.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.ShipDesign.ManufacturingStockBuilder NXOpen.Features.ShipDesign.EdgeCutBuilder.ManufacturingInformation
get

Returns the manufacturing stock builder that holds the manufacturing data.

Created in NX8.5.1

License requirements: None.

unsafe NXOpen.SelectTaggedObjectList NXOpen.Features.ShipDesign.EdgeCutBuilder.PathGeometry
get

Returns the path geometry.

NOTE this is only used on features that were created in NX901 or later. If editing a feature created before NX9.0.1, use the guide curve property instead.

Created in NX9.0.1

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.EdgeCutBuilder.PathReverseDirection
getset

Returns or sets the path reverse direction flag.

NOTE this is only used on features that were created in NX901 or later.

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.ShipDesign.EdgeCutBuilder.PlacementGeometry
get

Returns the placement geometry.

NOTE this is only used on features that were created in NX901 or later. If editing a feature created before NX9.0.1, use the select target face property instead.

Created in NX9.0.1

License requirements: None.

unsafe NXOpen.Vector3d NXOpen.Features.ShipDesign.EdgeCutBuilder.ReferenceDirection
getset

Returns or sets the reference direction

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Point3d NXOpen.Features.ShipDesign.EdgeCutBuilder.ReferencePoint
getset

Returns or sets the reference point (part units)

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.EdgeCutBuilder.SelectEndLimit
get

Returns the select end limit.

The end limit is used to trim the end of the guide curve. Note if the spacing is set to CustomDefined, you won't notice the end trim getting used, unless you try to place too many cuts between the start and end trim (including any offsets added by the Start and End positions on the guide). NOTE features created before NX9.0.1 could use solid edges, lines, circles, splines, spcurves, datum planes, and planar faces as a limit object. Any feature created in NX9.0.1 or beyond can use any of those limit objects as well as non-planar faces.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.EdgeCutBuilder.SelectStartLimit
get

Returns the select start limit.

The start limit is used to trim the start of the guide curve. NOTE features created before NX9.0.1 could use solid edges, lines, circles, splines, spcurves, datum planes, and planar faces as a limit object. Any feature created in NX9.0.1 or beyond can use any of those limit objects as well as non-planar faces.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectFaceList NXOpen.Features.ShipDesign.EdgeCutBuilder.SelectTargetFace
get

Returns the select target face.

NOTE this is only used on features that were created prior to NX901. If editing a feature created in NX9.0.1 or beyond, use the placement geometry property instead.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder NXOpen.Features.ShipDesign.EdgeCutBuilder.SketchBlock
get

Returns the sketch block.

Users can specify the hole shape using a single sketch. The sketch type and its parameters are controlled by the NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder .

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.EdgeCutBuilder.SpaceBetweenCuts
get

Returns the distance between each cut.

Note this is ignored if spacing is set to equal spacing.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.EdgeCutBuilder.ArraySpacing NXOpen.Features.ShipDesign.EdgeCutBuilder.Spacing
getset

Returns or sets the spacing (even distribution or custom defined)

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.EdgeCutBuilder.SpacingReference
getset

Returns or sets the spacing reference direction.

The spacing reference direction is optional. It is used to measure the space between cuts in a linear distance. If null, the spacing is measured via arc length along the guide.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.ShipDesign.EdgeCutBuilder.StartPositionOnGuide
get

Returns the offset from the start of the guide curve (or start trim object) where cut placement will begin

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.EdgeCutBuilder.SymmetricOffsets
getset

Returns or sets the symmetric offsets toggle.

Note this is ignored if spacing is set to custom defined. When symmetric offsets are used, the length of the guide is divided by the number of cuts to define the space between cuts, and half of the distance between each cut is applied as a start and end offset along the guide.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.ShipDesign.EdgeCutBuilder.VersionID NXOpen.Features.ShipDesign.EdgeCutBuilder.Version
get

Returns the version of the feature (used to determine which properties and methods are applicable) during edit.

The version of new features during create will be NX901

Created in NX9.0.1

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.